const Joi = require('joi');

const usersLoginModel = Joi.object({
    email: Joi.string().email().required().messages({
        'any.required': 'Email is required',
        'string.empty': 'Email must not be empty',
        'string.email': 'Email must be a valid email address'
    }),
    password: Joi.string().required().messages({
        'any.required': 'Password is required',
        'string.empty': 'Password must not be empty'
    })
});

module.exports = usersLoginModel;